Bug 1185857 - Feature request: adjusting executable script
Summary: Feature request: adjusting executable script
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-26 13:14 UTC by Wolfgang Ulbrich
Modified: 2015-06-30 20:14 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-24 15:56:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1115053 None None None Never

Description Wolfgang Ulbrich 2015-01-26 13:14:04 UTC
Description of problem:
system-config-date use

#!/bin/sh

exec /usr/bin/pkexec /usr/share/system-config-date/system-config-date.py

in executable script.
Unfortunately using 'exec' cause a double forking issue if starting from mate-control-center, see https://bugzilla.redhat.com/show_bug.cgi?id=972534 .
Using '/usr/bin/pkexec /usr/share/system-config-date/system-config-date.py' would fix the issue.
Is it possible to change that or is there a technical reason to use 'exec' in the script?

Thanks in advance

Version-Release number of selected component (if applicable):
all fedora branches

How reproducible:
always

Steps to Reproduce:
1. starting mate session
2. open mate-control-center from menu
3. try to start system-config-date

Comment 1 Wolfgang Ulbrich 2015-02-06 14:23:59 UTC
any news?

Comment 2 Wolfgang Ulbrich 2015-02-17 21:57:11 UTC
Hello again,
could you please answer or is this package unmaintained?

Comment 3 Wolfgang Ulbrich 2015-03-01 18:46:16 UTC
ping again!

Comment 4 Nils Philippsen 2015-06-16 15:11:48 UTC
Mirek Trmac provided an explanation, why this is really an issue (regardless of the DE in use), see bug #1115053.

Comment 5 Wolfgang Ulbrich 2015-06-16 15:32:23 UTC
https://github.com/mate-desktop/mate-desktop/pull/166

Comment 6 Nils Philippsen 2015-06-16 15:57:58 UTC
Reopening for GNOME.

Comment 7 Fedora Update System 2015-06-16 15:58:24 UTC
system-config-date-1.10.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/system-config-date-1.10.8-1.fc22

Comment 8 Fedora Update System 2015-06-16 15:58:33 UTC
system-config-date-1.10.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/system-config-date-1.10.8-1.fc21

Comment 9 Fedora Update System 2015-06-16 15:58:39 UTC
system-config-date-1.10.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-date-1.10.8-1.fc20

Comment 10 Fedora Update System 2015-06-20 23:59:36 UTC
Package system-config-date-1.10.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-date-1.10.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10125/system-config-date-1.10.9-1.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-06-24 15:56:04 UTC
system-config-date-1.10.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-30 20:14:48 UTC
system-config-date-1.10.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.